package com.mcwl.web.controller.resource;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.Report;
import com.mcwl.resource.domain.vo.PageVo;
import com.mcwl.resource.service.ReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 举报功能
 * @author DaiZibo
 * @date 2025/1/18
 * @apiNote
 */

@RequestMapping("/report")
@RestController
public class ReportController {

    @Autowired
    private ReportService reportService;

    /**
     * 新增举报内容
     * @param report
     * @return
     */
    @PostMapping("/addReport")
    public AjaxResult addReport(@RequestBody Report report){

        reportService.addReport(report);
        return AjaxResult.success("举报成功");
    }

    /**
     * 查询举报列表
     * @param pageVo
     * @return
     */
    @PostMapping("/selectReport")
    public AjaxResult selectReport(@RequestBody PageVo pageVo){


        return reportService.selectReport(pageVo);
    }

    /**
     * 删除举报
     * @param id
     * @return
     */
    @GetMapping("/deleteReport")
    public AjaxResult deleteReport(@RequestParam Long id){

        reportService.deleteReport(id);
        return AjaxResult.success("删除成功");
    }

    /**
     * 修改状态
     * @param id
     * @return
     */
    @GetMapping("/updateStatus")
    public AjaxResult updateStatus(@RequestParam Long id){

        reportService.updateStatus(id);
        return AjaxResult.success("修改成功");
    }

}
