package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 提问
 */
@ApiModel(description = "提问")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_question")
public class Question extends BaseEntity {

    @TableId
    @ApiModelProperty(value = "id")
    private Long id;


    /**
     * 用户id - 租户id
     */
    @ApiModelProperty(value = "用户id - 租户id")
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 提问用户id
     */
    @ApiModelProperty(value = "提问用户id")
    private Long questionUserId;

    /**
     * 提问内容
     */
    @ApiModelProperty(value = "提问内容")
    private String content;

    /**
     * 提问图片
     */
    @ApiModelProperty(value = "提问图片")
    private String questionUrl;

    /**
     * 回复内容
     */
    @ApiModelProperty(value = "答复内容")
    private String reply;

    /**
     * 回复时间
     */
    @ApiModelProperty(value = "答复时间")
    private Date replyTime;

    /**
     * 是否匿名
     */
    @ApiModelProperty(value = "是否匿名")
    private Integer isAnonymous;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;



}
