package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 会员权益表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_member_benefit")
public class MemberBenefit extends BaseEntity {

    @TableId
    private Long id;

    // 会员等级id
    private Long memberLevelId;

    // 权益名称
    private String benefitName;

    // 权益描述
    private String benefitDesc;

    // 权益类型
    private MemberBenefitTypeEnum benefitType;

    // 权益折扣 当权益类型为折扣时，记录折扣的具体数值，如0.9代表9折
    private Double benefitDiscount;


}
