package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.WorkFlow;
import com.mcwl.resource.domain.dto.ModelImagePageRes;
import com.mcwl.resource.domain.request.RequestWorkFlow;
import com.mcwl.resource.domain.vo.PageVo;

import java.util.List;

/**
 * 工作流 业务层
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

public interface WorkFlowService extends IService<WorkFlow> {
    AjaxResult addWorkFlow(RequestWorkFlow requestWorkFlow);

    void updateWorkFlow(RequestWorkFlow requestWorkFlow);

    void deleteWorkFlow(Long id);

    AjaxResult selectWorkFlow(PageVo pageVo);

    AjaxResult selectWorkFlowById(Long id);

    TableDataInfo listByPage(ModelImagePageRes imagePageRes);


    void setworkFlowTop(Long id, boolean isTop);

    List<WorkFlow> fetchWorkFlowSortedByTopStatus();


}
